Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
bindist verhindert world update [solved]
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
schotter
Guru
Guru


Joined: 30 Nov 2004
Posts: 496
Location: Germany, Bavaria, Bayreuth, Pottenstein, Tüchersfeld

PostPosted: Mon Dec 07, 2015 6:33 pm    Post subject: bindist verhindert world update [solved] Reply with quote

Hallo zusammen,

TLDR; ein explizietes
Code:
dev-libs/openssl bindist
in /etc/portage/package.use/openssl überschreibt ein globales -bindist und deshalb hat die Paketauflöserei nicht funktioniert. Aus bindist wurde -bindist und das Update funktionierte.

ursprünglich wollte ich nur den qt-creator aktualisieren. Der fängt nämlich entweder nach dem ersten Build oder wenn ich ihn nur als Editor nehme nach einer gewissen Zeit an die CPU-Last von einem Kern auf 100% hoch zu jagen. Deswegen wollte ich von 3.4.2 auf 3.5.1 hoch, in diesem Zuge muss dann aber dev-libs/botan neukompiliert werden (mit -bindist) und dem fehlt dann

Code:
src/engine/openssl/ossl_pk.cpp:21:29: fatal error: openssl/ecdsa.h: No such file or directory
   #include <openssl/ecdsa.h>
                             ^
compilation terminated.


Alles halb so wild, dann warte ich eben und aktualisiere meine Welt, aber...

Code:
These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] x11-proto/xproto-7.0.28::gentoo [7.0.27::gentoo] USE="-doc" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] x11-proto/kbproto-1.0.7::gentoo [1.0.6-r1::gentoo] ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] x11-libs/libpciaccess-0.13.4::gentoo [0.13.3::gentoo] USE="zlib -static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] x11-proto/randrproto-1.5.0::gentoo [1.4.0-r1::gentoo] ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] media-fonts/font-util-1.3.1::gentoo [1.3.0::gentoo] 0 KiB
[ebuild     U  ] x11-libs/libXdmcp-1.1.2::gentoo [1.1.1-r1::gentoo] USE="-doc -static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] x11-libs/libdrm-2.4.65::gentoo [2.4.59::gentoo] USE="libkms -static-libs -valgrind%" ABI_X86="32 (64) (-x32)" VIDEO_CARDS="intel -amdgpu% (-exynos) (-freedreno) -nouveau (-omap) -radeon (-tegra) -vmware" 0 KiB
[ebuild     U  ] x11-libs/libfontenc-1.1.3::gentoo [1.1.2::gentoo] USE="-static-libs" 0 KiB
[ebuild     U  ] media-fonts/font-alias-1.0.3-r1::gentoo [1.0.3::gentoo] 0 KiB
[ebuild     U  ] x11-apps/xlsatoms-1.1.2::gentoo [1.1.1::gentoo] 0 KiB
[ebuild     U  ] net-misc/curl-7.45.0::gentoo [7.43.0::gentoo] USE="ipv6 ssl -adns -http2 -idn -kerberos -ldap -metalink -rtmp -samba -ssh -static-libs {-test} -threads" ABI_X86="(64) -32 (-x32)" CURL_SSL="openssl -axtls -gnutls (-libressl) -nss -polarssl (-winssl)" 0 KiB
[ebuild   R    ] dev-libs/openssl-1.0.2d::gentoo  USE="asm tls-heartbeat zlib -bindist* -gmp -kerberos -rfc3779 -sctp -static-libs {-test} -vanilla" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="(sse2)" 0 KiB
[ebuild     U ~] dev-libs/botan-1.10.10::gentoo [1.10.5::gentoo] USE="bzip2 ssl threads zlib -bindist* -doc -gmp -python -static-libs" PYTHON_TARGETS="python2_7 python3_4 -python3_3" 0 KiB
[ebuild     U  ] dev-perl/Net-SMTP-SSL-1.30.0::gentoo [1.10.0-r1::gentoo] USE="{-test%}" 0 KiB
[ebuild     U  ] x11-base/xorg-drivers-1.17::gentoo [1.16::gentoo] INPUT_DEVICES="evdev keyboard mouse -acecad -aiptek -elographics -fpit -hyperpen -joystick (-libinput) -mutouch -penmount -synaptics -tslib -vmmouse -void -wacom" VIDEO_CARDS="intel -amdgpu% -apm -ast -chips -cirrus -dummy -epson -fbdev -fglrx (-freedreno) (-geode) -glint -i128 (-i740) -mach64 -mga -neomagic -nouveau -nv -nvidia (-omap) (-omapfb) -qxl -r128 -radeon -radeonsi -rendition -s3 -s3virge -savage -siliconmotion -sisusb (-sunbw2) (-suncg14) (-suncg3) (-suncg6) (-sunffb) (-sunleo) (-suntcx) -tdfx (-tegra) -tga -trident -tseng -vesa -via -virtualbox -vmware (-voodoo) (-modesetting%) (-v4l%)" 0 KiB
[ebuild     U  ] dev-libs/libpcre-8.38:3::gentoo [8.36:3::gentoo] USE="bzip2 cxx pcre16 readline recursion-limit (unicode) zlib -jit -libedit -pcre32 -static-libs" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild     U  ] dev-libs/libevdev-1.4.4::gentoo [1.3::gentoo] USE="-static-libs" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild     U  ] x11-libs/xcb-util-cursor-0.1.2::gentoo [0.1.1-r1::gentoo] USE="-doc -static-libs {-test}" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild     U  ] x11-libs/libxcb-1.11.1:0/1.11.1::gentoo [1.11-r1:0/1.11::gentoo] USE="xkb -doc (-selinux) -static-libs {-test}" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] x11-libs/libX11-1.6.3::gentoo [1.6.2::gentoo] USE="ipv6 -doc -static-libs {-test}" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] x11-libs/libXrender-0.9.9::gentoo [0.9.8::gentoo] USE="-static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] x11-libs/libxkbfile-1.0.9::gentoo [1.0.8::gentoo] USE="-static-libs" 0 KiB
[ebuild     U  ] x11-apps/xmodmap-1.0.9::gentoo [1.0.8::gentoo] 0 KiB
[ebuild     U  ] x11-apps/xcmsdb-1.0.5::gentoo [1.0.4::gentoo] 0 KiB
[ebuild     U  ] x11-libs/libXi-1.7.5::gentoo [1.7.4::gentoo] USE="-doc -static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] x11-libs/libXrandr-1.5.0::gentoo [1.4.2::gentoo] USE="-static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] x11-apps/xkbevd-1.1.4::gentoo [1.1.3::gentoo] 0 KiB
[ebuild     U  ] x11-misc/xkeyboard-config-2.16::gentoo [2.14::gentoo] 0 KiB
[ebuild     U  ] x11-libs/libXvMC-1.0.9::gentoo [1.0.8::gentoo] USE="-static-libs" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild     U  ] x11-apps/xvinfo-1.1.3::gentoo [1.1.2::gentoo] 0 KiB
[ebuild     U  ] x11-apps/xinput-1.6.2::gentoo [1.6.1::gentoo] 0 KiB
[ebuild     U  ] x11-apps/xgamma-1.0.6::gentoo [1.0.5::gentoo] 0 KiB
[ebuild     U  ] x11-apps/xev-1.2.2::gentoo [1.2.1::gentoo] 0 KiB
[ebuild     U  ] x11-apps/xdpyinfo-1.3.2::gentoo [1.3.1::gentoo] USE="-dga -dmx -xinerama" 0 KiB
[ebuild     U  ] x11-apps/setxkbmap-1.3.1::gentoo [1.3.0::gentoo] 0 KiB
[ebuild     U  ] dev-python/certifi-2015.11.20::gentoo [2015.9.6.2::gentoo] PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) -python3_3 (-python3_5)" 0 KiB
[ebuild     U ~] net-misc/youtube-dl-2015.11.27.1::gentoo [2015.11.21::gentoo] USE="-offensive {-test}" PYTHON_SINGLE_TARGET="python2_7 -python3_3 -python3_4 -python3_5" PYTHON_TARGETS="python2_7 python3_4 -python3_3 -python3_5" 0 KiB
[ebuild     U  ] app-admin/syslog-ng-3.7.2::gentoo [3.7.1::gentoo] USE="ipv6 systemd tcpd -amqp -caps -dbi -geoip -json (-libressl) -mongodb -pacct -python -redis -smtp -spoof-source" 0 KiB
[ebuild     U  ] x11-libs/libXt-1.1.5::gentoo [1.1.4::gentoo] USE="-static-libs" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild     U  ] x11-libs/libXaw-1.0.13::gentoo [1.0.12::gentoo] USE="-deprecated -doc -static-libs" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild     U  ] x11-apps/xauth-1.0.9-r2::gentoo [1.0.9-r1::gentoo] USE="ipv6" 0 KiB
[ebuild     U  ] x11-apps/smproxy-1.0.6::gentoo [1.0.5::gentoo] 0 KiB
[ebuild     U  ] x11-apps/x11perf-1.6.0::gentoo [1.5.4::gentoo] 0 KiB
[ebuild     U  ] x11-apps/xhost-1.0.7::gentoo [1.0.6::gentoo] USE="ipv6" 0 KiB
[ebuild     U  ] x11-apps/xinit-1.3.4-r1::gentoo [1.3.3-r1::gentoo] USE="minimal systemd%*" 0 KiB
[ebuild     U  ] x11-terms/xterm-320::gentoo [314::gentoo] USE="openpty truetype unicode -Xaw3d -toolbar" 0 KiB
[ebuild     U  ] sys-apps/man-pages-4.02::gentoo [4.00::gentoo] USE="nls" LINGUAS="de -da -fr -it -ja -nl -pl -ro -ru -zh_CN" 1.371 KiB
[ebuild     U  ] sys-apps/openrc-0.18.4::gentoo [0.17::gentoo] USE="ncurses netifrc pam unicode -audit -debug -newnet (-prefix) (-selinux) -static-libs -tools" 154 KiB
[ebuild     U  ] app-eselect/eselect-opengl-1.3.1-r4::gentoo [1.2.7::gentoo] 0 KiB
[ebuild     U  ] x11-proto/glproto-1.4.17-r1::gentoo [1.4.17::gentoo] ABI_X86="32 (64) (-x32)" 0 KiB
[blocks b      ] <x11-proto/glproto-1.4.17-r1 ("<x11-proto/glproto-1.4.17-r1" is blocking app-eselect/eselect-opengl-1.3.1-r4)
[ebuild     U  ] media-libs/mesa-11.0.6::gentoo [10.3.7-r1::gentoo] USE="bindist classic dri3 egl gallium gbm gles2 llvm nptl udev -d3d9% -debug -gles1 -opencl -openmax -osmesa -pax_kernel -pic (-selinux) -vaapi% -vdpau -wayland -xa -xvmc (-openvg%)" ABI_X86="32 (64) (-x32)" VIDEO_CARDS="intel (-freedreno) -i915 -i965 -ilo -nouveau -r100 -r200 -r300 -r600 -radeon -radeonsi -vmware" 0 KiB
[blocks b      ] =media-libs/mesa-10.3.7-r1 ("=media-libs/mesa-10.3.7-r1" is blocking app-eselect/eselect-opengl-1.3.1-r4)
[ebuild     U  ] media-libs/libepoxy-1.3.1::gentoo [1.2::gentoo] USE="{-test}" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild     U  ] x11-base/xorg-server-1.16.4-r5:0/1.16.1::gentoo [1.16.4:0/1.16.1::gentoo] USE="glamor ipv6 nptl suid systemd udev xorg -dmx -doc -kdrive -minimal (-selinux) -static-libs -tslib -unwind -wayland -xnest -xvfb" 0 KiB
[blocks b      ] =x11-base/xorg-server-1.16.4 ("=x11-base/xorg-server-1.16.4" is blocking app-eselect/eselect-opengl-1.3.1-r4)
[blocks b      ] >=app-eselect/eselect-opengl-1.3.0 (">=app-eselect/eselect-opengl-1.3.0" is blocking x11-base/xorg-server-1.16.4)
[ebuild     U  ] x11-apps/xdriinfo-1.0.5::gentoo [1.0.4::gentoo] 0 KiB
[ebuild     U  ] x11-drivers/xf86-input-keyboard-1.8.1::gentoo [1.8.0::gentoo] 0 KiB
[ebuild     U  ] x11-drivers/xf86-input-evdev-2.9.2::gentoo [2.9.1::gentoo] 0 KiB
[ebuild     U ~] dev-qt/qt-creator-3.5.1::gentoo [3.4.2::gentoo] USE="android* autotools doc git systemd valgrind webkit -baremetal -bazaar -clang -clearcase -cmake -cvs -ios -mercurial -perforce -python -qbs -qnx -subversion {-test} -winrt" LINGUAS="de -cs -fr -ja -pl -ru -sl -uk -zh_CN -zh_TW" 0 KiB

Total: 57 packages (56 upgrades, 1 reinstall), Size of downloads: 1.524 KiB
Conflict: 4 blocks

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

x11-libs/libxcb:0

  (x11-libs/libxcb-1.11.1:0/1.11.1::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (x11-libs/libxcb-1.11-r1:0/1.11::gentoo, installed) pulled in by
    >=x11-libs/libxcb-1.10:0/1.11=[xkb] required by (dev-qt/qtgui-5.4.2-r1:5/5::gentoo, installed)
                          ^^^^^^^^                                                                                                   
    (and 5 more with the same problem)

dev-libs/openssl:0

  (dev-libs/openssl-1.0.2d:0/0::gentoo, installed) pulled in by
    >=dev-libs/openssl-0.9.8f:0[bindist=] required by (net-misc/openssh-7.1_p1-r2:0/0::gentoo, installed)
                                ^^^^^^^^                                                                                                     
    dev-libs/openssl:0[bindist=] required by (dev-qt/qtnetwork-5.4.2:5/5::gentoo, installed)
                       ^^^^^^^^                                                                                                 

  (dev-libs/openssl-1.0.2d:0/0::gentoo, ebuild scheduled for merge) pulled in by
    >=dev-libs/openssl-0.9.8g:*[bindist=] required by (dev-libs/botan-1.10.10:0/0::gentoo, ebuild scheduled for merge)
                                ^^^^^^^^                                                                                                                 


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


das mag auch nicht. Hatte jmd ein ähnliches Problem und konnte es lösen?

Schöne Grüße,
schotter


Last edited by schotter on Thu Dec 10, 2015 9:59 am; edited 1 time in total
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3629
Location: Germany

PostPosted: Mon Dec 07, 2015 6:59 pm    Post subject: Reply with quote

Hallo schotter,
versuche es mal mit der von emerge vorgeschlagenen --backtrack Option
Code:
emerge -avuDN @world --backtrack=300
Back to top
View user's profile Send private message
schotter
Guru
Guru


Joined: 30 Nov 2004
Posts: 496
Location: Germany, Bavaria, Bayreuth, Pottenstein, Tüchersfeld

PostPosted: Tue Dec 08, 2015 8:18 am    Post subject: Reply with quote

Stirbt ähnlich :/
Code:
emerge -avuDN @world --backtrack=300

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N     ] sys-apps/install-xattr-0.5::gentoo  16 KiB
[ebuild   R    ] sys-devel/patch-2.7.5::gentoo  USE="xattr* -static {-test}" 711 KiB
[ebuild   R    ] sys-apps/coreutils-8.23::gentoo  USE="acl nls xattr* -caps -gmp -multicall (-selinux) -static -vanilla" 5.298 KiB
[ebuild     U  ] x11-proto/xproto-7.0.28::gentoo [7.0.27::gentoo] USE="-doc" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] x11-proto/kbproto-1.0.7::gentoo [1.0.6-r1::gentoo] ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] x11-libs/libpciaccess-0.13.4::gentoo [0.13.3::gentoo] USE="zlib -static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] x11-proto/randrproto-1.5.0::gentoo [1.4.0-r1::gentoo] ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] net-misc/rsync-3.1.1::gentoo  USE="acl iconv ipv6 xattr* -static" 870 KiB
[ebuild     U  ] media-fonts/font-util-1.3.1::gentoo [1.3.0::gentoo] 0 KiB
[ebuild   R    ] sys-fs/ntfs3g-2014.2.15-r1::gentoo  USE="acl external-fuse ntfsprogs xattr* -debug -ntfsdecrypt -static-libs -suid" 0 KiB
[ebuild     U  ] x11-libs/libXdmcp-1.1.2::gentoo [1.1.1-r1::gentoo] USE="-doc -static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] x11-libs/libdrm-2.4.65::gentoo [2.4.59::gentoo] USE="libkms -static-libs -valgrind%" ABI_X86="32 (64) (-x32)" VIDEO_CARDS="intel -amdgpu% (-exynos) (-freedreno) -nouveau (-omap) -radeon (-tegra) -vmware" 0 KiB
[ebuild     U  ] x11-libs/libfontenc-1.1.3::gentoo [1.1.2::gentoo] USE="-static-libs" 0 KiB
[ebuild   R    ] dev-lang/orc-0.4.24::gentoo  USE="-examples -pax_kernel% -static-libs (-hardened%)" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] media-fonts/font-alias-1.0.3-r1::gentoo [1.0.3::gentoo] 0 KiB
[ebuild     U  ] x11-apps/xlsatoms-1.1.2::gentoo [1.1.1::gentoo] 0 KiB
[ebuild   R    ] dev-libs/openssl-1.0.2d::gentoo  USE="asm tls-heartbeat zlib -bindist* -gmp -kerberos -rfc3779 -sctp -static-libs {-test} -vanilla" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="(sse2)" 0 KiB
[ebuild     U  ] net-misc/curl-7.45.0::gentoo [7.43.0::gentoo] USE="ipv6 ssl -adns -http2 -idn -kerberos -ldap -metalink -rtmp -samba -ssh -static-libs {-test} -threads" ABI_X86="(64) -32 (-x32)" CURL_SSL="openssl -axtls -gnutls (-libressl) -nss -polarssl (-winssl)" 0 KiB
[ebuild     U ~] dev-libs/botan-1.10.10::gentoo [1.10.5::gentoo] USE="bzip2 ssl threads zlib -bindist* -doc -gmp -python -static-libs" PYTHON_TARGETS="python2_7 python3_4 -python3_3" 0 KiB
[ebuild     U  ] dev-perl/Net-SMTP-SSL-1.30.0::gentoo [1.10.0-r1::gentoo] USE="{-test%}" 0 KiB
[ebuild     U  ] x11-base/xorg-drivers-1.17::gentoo [1.16::gentoo] INPUT_DEVICES="evdev keyboard mouse -acecad -aiptek -elographics -fpit -hyperpen -joystick (-libinput) -mutouch -penmount -synaptics -tslib -vmmouse -void -wacom" VIDEO_CARDS="intel -amdgpu% -apm -ast -chips -cirrus -dummy -epson -fbdev -fglrx (-freedreno) (-geode) -glint -i128 (-i740) -mach64 -mga -neomagic -nouveau -nv -nvidia (-omap) (-omapfb) -qxl -r128 -radeon -radeonsi -rendition -s3 -s3virge -savage -siliconmotion -sisusb (-sunbw2) (-suncg14) (-suncg3) (-suncg6) (-sunffb) (-sunleo) (-suntcx) -tdfx (-tegra) -tga -trident -tseng -vesa -via -virtualbox -vmware (-voodoo) (-modesetting%) (-v4l%)" 0 KiB
[ebuild     U  ] dev-libs/libpcre-8.38:3::gentoo [8.36:3::gentoo] USE="bzip2 cxx pcre16 readline recursion-limit (unicode) zlib -jit -libedit -pcre32 -static-libs" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild     U  ] dev-libs/libevdev-1.4.4::gentoo [1.3::gentoo] USE="-static-libs" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild     U  ] x11-libs/xcb-util-cursor-0.1.2::gentoo [0.1.1-r1::gentoo] USE="-doc -static-libs {-test}" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild     U  ] x11-libs/libxcb-1.11.1:0/1.11.1::gentoo [1.11-r1:0/1.11::gentoo] USE="xkb -doc (-selinux) -static-libs {-test}" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild   R    ] app-arch/tar-1.27.1-r2::gentoo  USE="acl nls xattr* -minimal (-selinux) -static" 2.513 KiB
[ebuild     U  ] x11-libs/libX11-1.6.3::gentoo [1.6.2::gentoo] USE="ipv6 -doc -static-libs {-test}" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] x11-libs/libXrender-0.9.9::gentoo [0.9.8::gentoo] USE="-static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] x11-libs/libxkbfile-1.0.9::gentoo [1.0.8::gentoo] USE="-static-libs" 0 KiB
[ebuild     U  ] x11-apps/xmodmap-1.0.9::gentoo [1.0.8::gentoo] 0 KiB
[ebuild     U  ] x11-apps/xcmsdb-1.0.5::gentoo [1.0.4::gentoo] 0 KiB
[ebuild     U  ] x11-libs/libXi-1.7.5::gentoo [1.7.4::gentoo] USE="-doc -static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] x11-libs/libXrandr-1.5.0::gentoo [1.4.2::gentoo] USE="-static-libs" ABI_X86="32 (64) (-x32)" 0 KiB
[ebuild     U  ] x11-apps/xkbevd-1.1.4::gentoo [1.1.3::gentoo] 0 KiB
[ebuild     U  ] x11-misc/xkeyboard-config-2.16::gentoo [2.14::gentoo] 0 KiB
[ebuild     U  ] x11-libs/libXvMC-1.0.9::gentoo [1.0.8::gentoo] USE="-static-libs" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild     U  ] x11-apps/xinput-1.6.2::gentoo [1.6.1::gentoo] 0 KiB
[ebuild     U  ] x11-apps/xgamma-1.0.6::gentoo [1.0.5::gentoo] 0 KiB
[ebuild     U  ] x11-apps/xvinfo-1.1.3::gentoo [1.1.2::gentoo] 0 KiB
[ebuild     U  ] x11-apps/xev-1.2.2::gentoo [1.2.1::gentoo] 0 KiB
[ebuild     U  ] x11-apps/xdpyinfo-1.3.2::gentoo [1.3.1::gentoo] USE="-dga -dmx -xinerama" 0 KiB
[ebuild     U  ] x11-apps/setxkbmap-1.3.1::gentoo [1.3.0::gentoo] 0 KiB
[ebuild  N     ] dev-python/pyxattr-0.5.3::gentoo  USE="-doc {-test}" PYTHON_TARGETS="python2_7 python3_4 (-pypy) -python3_3" 26 KiB
[ebuild     U  ] dev-python/certifi-2015.11.20::gentoo [2015.9.6.2::gentoo] PYTHON_TARGETS="python2_7 python3_4 (-pypy) (-pypy3) -python3_3 (-python3_5)" 0 KiB
[ebuild     U ~] net-misc/youtube-dl-2015.11.27.1::gentoo [2015.11.21::gentoo] USE="-offensive {-test}" PYTHON_SINGLE_TARGET="python2_7 -python3_3 -python3_4 -python3_5" PYTHON_TARGETS="python2_7 python3_4 -python3_3 -python3_5" 0 KiB
[ebuild   R    ] sys-apps/portage-2.2.20.1::gentoo  USE="(ipc) xattr* -build -doc -epydoc (-selinux)" LINGUAS="-ru" PYTHON_TARGETS="python2_7 python3_4 (-pypy) -python3_3" 0 KiB
[ebuild     U  ] app-admin/syslog-ng-3.7.2::gentoo [3.7.1::gentoo] USE="ipv6 systemd tcpd -amqp -caps -dbi -geoip -json (-libressl) -mongodb -pacct -python -redis -smtp -spoof-source" 0 KiB
[ebuild     U  ] x11-libs/libXt-1.1.5::gentoo [1.1.4::gentoo] USE="-static-libs" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild   R    ] sys-apps/shadow-4.1.5.1-r1::gentoo  USE="acl cracklib nls pam xattr* -audit (-selinux) -skey" 2.142 KiB
[ebuild     U  ] x11-libs/libXaw-1.0.13::gentoo [1.0.12::gentoo] USE="-deprecated -doc -static-libs" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild     U  ] x11-apps/xauth-1.0.9-r2::gentoo [1.0.9-r1::gentoo] USE="ipv6" 0 KiB
[ebuild     U  ] x11-apps/smproxy-1.0.6::gentoo [1.0.5::gentoo] 0 KiB
[ebuild     U  ] x11-apps/x11perf-1.6.0::gentoo [1.5.4::gentoo] 0 KiB
[ebuild     U  ] x11-apps/xhost-1.0.7::gentoo [1.0.6::gentoo] USE="ipv6" 0 KiB
[ebuild     U  ] x11-apps/xinit-1.3.4-r1::gentoo [1.3.3-r1::gentoo] USE="minimal systemd%*" 0 KiB
[ebuild     U  ] x11-terms/xterm-320::gentoo [314::gentoo] USE="openpty truetype unicode -Xaw3d -toolbar" 0 KiB
[ebuild     U  ] sys-apps/man-pages-4.02::gentoo [4.00::gentoo] USE="nls" LINGUAS="de -da -fr -it -ja -nl -pl -ro -ru -zh_CN" 1.371 KiB
[ebuild     U  ] sys-apps/openrc-0.18.4::gentoo [0.17::gentoo] USE="ncurses netifrc pam unicode -audit -debug -newnet (-prefix) (-selinux) -static-libs -tools" 154 KiB
[ebuild     U  ] app-eselect/eselect-opengl-1.3.1-r4::gentoo [1.2.7::gentoo] 0 KiB
[ebuild     U  ] x11-proto/glproto-1.4.17-r1::gentoo [1.4.17::gentoo] ABI_X86="32 (64) (-x32)" 0 KiB
[blocks b      ] <x11-proto/glproto-1.4.17-r1 ("<x11-proto/glproto-1.4.17-r1" is blocking app-eselect/eselect-opengl-1.3.1-r4)
[ebuild     U  ] media-libs/mesa-11.0.6::gentoo [10.3.7-r1::gentoo] USE="bindist classic dri3 egl gallium gbm gles2 llvm nptl udev -d3d9% -debug -gles1 -opencl -openmax -osmesa -pax_kernel -pic (-selinux) -vaapi% -vdpau -wayland -xa -xvmc (-openvg%)" ABI_X86="32 (64) (-x32)" VIDEO_CARDS="intel (-freedreno) -i915 -i965 -ilo -nouveau -r100 -r200 -r300 -r600 -radeon -radeonsi -vmware" 0 KiB
[blocks b      ] =media-libs/mesa-10.3.7-r1 ("=media-libs/mesa-10.3.7-r1" is blocking app-eselect/eselect-opengl-1.3.1-r4)
[ebuild     U  ] media-libs/libepoxy-1.3.1::gentoo [1.2::gentoo] USE="{-test}" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild     U  ] x11-base/xorg-server-1.16.4-r5:0/1.16.1::gentoo [1.16.4:0/1.16.1::gentoo] USE="glamor ipv6 nptl suid systemd udev xorg -dmx -doc -kdrive -minimal (-selinux) -static-libs -tslib -unwind -wayland -xnest -xvfb" 0 KiB
[blocks b      ] =x11-base/xorg-server-1.16.4 ("=x11-base/xorg-server-1.16.4" is blocking app-eselect/eselect-opengl-1.3.1-r4)
[blocks b      ] >=app-eselect/eselect-opengl-1.3.0 (">=app-eselect/eselect-opengl-1.3.0" is blocking x11-base/xorg-server-1.16.4)
[ebuild     U  ] x11-apps/xdriinfo-1.0.5::gentoo [1.0.4::gentoo] 0 KiB
[ebuild     U  ] x11-drivers/xf86-input-keyboard-1.8.1::gentoo [1.8.0::gentoo] 0 KiB
[ebuild     U  ] x11-drivers/xf86-input-evdev-2.9.2::gentoo [2.9.1::gentoo] 0 KiB
[ebuild     U ~] dev-qt/qt-creator-3.5.1::gentoo [3.4.2::gentoo] USE="android* autotools doc git systemd valgrind webkit -baremetal -bazaar -clang -clearcase -cmake -cvs -ios -mercurial -perforce -python -qbs -qnx -subversion {-test} -winrt" LINGUAS="de -cs -fr -ja -pl -ru -sl -uk -zh_CN -zh_TW" 0 KiB
[ebuild   R    ] app-emulation/qemu-2.4.0-r1::gentoo  USE="aio alsa bluetooth caps curl fdt filecaps gtk jpeg ncurses nls opengl pin-upstream-blobs png pulseaudio sdl seccomp threads usb uuid vhost-net vnc xattr* -accessibility -debug (-glusterfs) -gtk2 -infiniband -iscsi -lzo -nfs -numa -python -rbd -sasl -sdl2 (-selinux) -smartcard -snappy -spice -ssh -static -static-softmmu -static-user -systemtap -tci {-test} -tls -usbredir -vde -virtfs -vte -xen -xfs" PYTHON_TARGETS="python2_7" QEMU_SOFTMMU_TARGETS="x86_64 -aarch64 -alpha -arm -cris -i386 -lm32 -m68k -microblaze -microblazeel -mips -mips64 -mips64el -mipsel -moxie -or32 -ppc -ppc64 -ppcemb -s390x -sh4 -sh4eb -sparc -sparc64 -tricore -unicore32 -xtensa -xtensaeb" QEMU_USER_TARGETS="-aarch64 -alpha -arm -armeb -cris -i386 -m68k -microblaze -microblazeel -mips -mips64 -mips64el -mipsel -mipsn32 -mipsn32el -or32 -ppc -ppc64 -ppc64abi32 -ppc64le -s390x -sh4 -sh4eb -sparc -sparc32plus -sparc64 -unicore32 -x86_64" 0 KiB

Total: 68 packages (56 upgrades, 2 new, 10 reinstalls), Size of downloads: 13.098 KiB
Conflict: 4 blocks

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

x11-libs/libxcb:0

  (x11-libs/libxcb-1.11.1:0/1.11.1::gentoo, ebuild scheduled for merge) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (x11-libs/libxcb-1.11-r1:0/1.11::gentoo, installed) pulled in by
    >=x11-libs/libxcb-1.10:0/1.11=[xkb] required by (dev-qt/qtgui-5.4.2-r1:5/5::gentoo, installed)
                          ^^^^^^^^                                                                                                   
    (and 5 more with the same problem)

dev-libs/openssl:0

  (dev-libs/openssl-1.0.2d:0/0::gentoo, ebuild scheduled for merge) pulled in by
    >=dev-libs/openssl-0.9.8g:*[bindist=] required by (dev-libs/botan-1.10.10:0/0::gentoo, ebuild scheduled for merge)
                                ^^^^^^^^                                                                                                                 

  (dev-libs/openssl-1.0.2d:0/0::gentoo, installed) pulled in by
    >=dev-libs/openssl-0.9.8f:0[bindist=] required by (net-misc/openssh-7.1_p1-r2:0/0::gentoo, installed)
                                ^^^^^^^^                                                                                                     
    dev-libs/openssl:0[bindist=] required by (dev-qt/qtnetwork-5.4.2:5/5::gentoo, installed)
                       ^^^^^^^^                                                                                                 


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.
Back to top
View user's profile Send private message
Christian99
Veteran
Veteran


Joined: 28 May 2009
Posts: 1176

PostPosted: Tue Dec 08, 2015 11:41 am    Post subject: Reply with quote

probier doch bitte mal
Code:
emerge -1 botan openssl openssh qtnetwork
Back to top
View user's profile Send private message
schotter
Guru
Guru


Joined: 30 Nov 2004
Posts: 496
Location: Germany, Bavaria, Bayreuth, Pottenstein, Tüchersfeld

PostPosted: Wed Dec 09, 2015 10:34 am    Post subject: Reply with quote

Christian99 wrote:
probier doch bitte mal
Code:
emerge -1 botan openssl openssh qtnetwork

Habe ich probiert, stirbt immer wegen botan. Ein Aufruf der Zeile ohne botan läuft wunderbar durch. Danach habe ich wieder
Code:
emerge -avuDN @world --backtrack=300
versucht und siehe da, er schlug mir zumindest vor welches Packages nach /etc/portage/packages.accept_keywords/ muss. Das habe ich ihn machen lassen und dann startet der Aufruf
Code:
emerge -avuDN @world --backtrack=300
immerhin. Bis er auf botan stößt, hier stirbt er wieder, aber das gute
Code:
emerge --resume --skipfirst
zieht dann letztlich alles durch. Gibt mir aber noch folgendes aus:
Code:
 * Messages for package x11-proto/glproto-1.4.17-r1:

 * This package will overwrite one or more files that may belong to other
 * packages (see list below). You can use a command such as `portageq
 * owners / <filename>` to identify the installed package that owns a
 * file. If portageq reports that only one package owns a file then do
 * NOT file a bug report. A bug report is only useful if it identifies at
 * least two or more packages that are known to install the same file(s).
 * If a collision occurs and you can not explain where the file came from
 * then you should simply ignore the collision since there is not enough
 * information to determine if a real problem exists. Please do NOT file
 * a bug report at http://bugs.gentoo.org unless you report exactly which
 * two packages install the same file(s). See
 * http://wiki.gentoo.org/wiki/Knowledge_Base:Blockers for tips on how to
 * solve the problem. And once again, please do NOT file a bug report
 * unless you have completely understood the above message.
 *
 * Detected file collision(s):
 *
 *    /usr/include/GL/glxtokens.h
 *    /usr/include/GL/glxproto.h
 *    /usr/include/GL/glxmd.h
 *
 * Searching all installed packages for file collisions...
 *
 * Press Ctrl-C to Stop
 *
 * None of the installed packages claim the file(s).
 *
 * Package 'x11-proto/glproto-1.4.17-r1' merged despite file collisions.
 * If necessary, refer to your elog messages for the whole content of the
 * above message.

 * Messages for package media-libs/mesa-11.0.6:

 * This package will overwrite one or more files that may belong to other
 * packages (see list below). You can use a command such as `portageq
 * owners / <filename>` to identify the installed package that owns a
 * file. If portageq reports that only one package owns a file then do
 * NOT file a bug report. A bug report is only useful if it identifies at
 * least two or more packages that are known to install the same file(s).
 * If a collision occurs and you can not explain where the file came from
 * then you should simply ignore the collision since there is not enough
 * information to determine if a real problem exists. Please do NOT file
 * a bug report at http://bugs.gentoo.org unless you report exactly which
 * two packages install the same file(s). See
 * http://wiki.gentoo.org/wiki/Knowledge_Base:Blockers for tips on how to
 * solve the problem. And once again, please do NOT file a bug report
 * unless you have completely understood the above message.
 *
 * Detected file collision(s):
 *
 *    /usr/include/EGL/eglplatform.h
 *    /usr/include/EGL/eglmesaext.h
 *    /usr/include/EGL/eglextchromium.h
 *    /usr/include/EGL/egl.h
 *    /usr/include/EGL/eglext.h
 *    /usr/include/KHR/khrplatform.h
 *    /usr/include/GL/glx.h
 *    /usr/include/GL/glxext.h
 *    /usr/include/GL/gl.h
 *    /usr/include/GL/glext.h
 *    /usr/include/GLES3/gl3platform.h
 *    /usr/include/GLES3/gl3ext.h
 *    /usr/include/GLES3/gl31.h
 *    /usr/include/GLES3/gl3.h
 *    /usr/include/GLES2/gl2platform.h
 *    /usr/include/GLES2/gl2ext.h
 *    /usr/include/GLES2/gl2.h
 *    /usr/lib64/libEGL.so
 *    /usr/lib64/libEGL.so.1
 *    /usr/lib64/libGL.so
 *    /usr/lib64/libGL.so.1
 *    /usr/lib64/libGLESv2.so
 *    /usr/lib64/libGLESv2.so.2
 *    /usr/lib32/libEGL.so
 *    /usr/lib32/libEGL.so.1
 *    /usr/lib32/libGL.so
 *    /usr/lib32/libGL.so.1
 *    /usr/lib32/libGLESv2.so
 *    /usr/lib32/libGLESv2.so.2
 *
 * Searching all installed packages for file collisions...
 *
 * Press Ctrl-C to Stop
 *
 * None of the installed packages claim the file(s).
 *
 * Package 'media-libs/mesa-11.0.6' merged despite file collisions. If
 * necessary, refer to your elog messages for the whole content of the
 * above message.
und jetzt weiß ich nicht so recht, was ich damit anfangen soll :)
Back to top
View user's profile Send private message
schotter
Guru
Guru


Joined: 30 Nov 2004
Posts: 496
Location: Germany, Bavaria, Bayreuth, Pottenstein, Tüchersfeld

PostPosted: Wed Dec 09, 2015 12:40 pm    Post subject: Reply with quote

Zu meinem Botan-Problem habe ich noch https://bugs.gentoo.org/show_bug.cgi?id=542010 gefunden, da geht es zwar um eine frühere Version, aber das Fehlerbild ist identisch.
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3629
Location: Germany

PostPosted: Wed Dec 09, 2015 4:39 pm    Post subject: Reply with quote

Die file collisions kannst in diesem Fall ignorieren - lässt sich hier zZt kaum anders machen
sollte soweit in ordnung sein.

..................................

Was für Probleme hast du mit welcher botan Version? Magst mal das komplette build.log (zb via Pastebin-Service) mit bereitstellen?
Und dazu am besten auch die Ausgabe von "emerge --info dev-libs/openssl" und "emerge -pv dev-libs/botan"
(ist meist hilfreich wenn man weiß um welche USE-Flags und Versionen es geht :))
Back to top
View user's profile Send private message
schotter
Guru
Guru


Joined: 30 Nov 2004
Posts: 496
Location: Germany, Bavaria, Bayreuth, Pottenstein, Tüchersfeld

PostPosted: Wed Dec 09, 2015 5:01 pm    Post subject: Reply with quote

Josef.95 wrote:
Was für Probleme hast du mit welcher botan Version?

Code:
eix botan
[U] dev-libs/botan
     Available versions:  1.10.5 (~)1.10.10 [M]~1.11.4 [M]~1.11.8 [M]~1.11.20 [M]~1.11.20-r1 {bindist boost bzip2 doc gmp libressl lzma python sqlite ssl static-libs threads zlib PYTHON_TARGETS="python2_7 python3_3 python3_4"}
     Installed versions:  1.10.5(01:43:18 09.08.2015)(bindist bzip2 ssl threads zlib -doc -gmp -python -static-libs PYTHON_TARGETS="python2_7 python3_4 -python3_3")

Es spielt keine Rolle, ob ich die 1.10.5 oder die 1.10.10 bauen möchte. Beide wollen auf #include <openssl/ecdsa.h> zugreifen und diese Datei ist "nicht" vorhanden.
Code:
locate ecdsa.h
/usr/include/nettle/ecdsa.h

Ein Symlink könnte helfen, aber der Weg gefällt mir nicht so recht.

Josef.95 wrote:
Magst mal das komplette build.log (zb via Pastebin-Service) mit bereitstellen?

http://pastebin.com/u5krinEP

Josef.95 wrote:
Und dazu am besten auch die Ausgabe von "emerge --info dev-libs/openssl" und "emerge -pv dev-libs/botan"
(ist meist hilfreich wenn man weiß um welche USE-Flags und Versionen es geht :))


Nichts leichter als das.
Code:
emerge --info dev-libs/openssl
Portage 2.2.20.1 (python 2.7.10-final-0, default/linux/amd64/13.0/desktop, gcc-4.8.5, glibc-2.21-r1, 4.2.0-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-4.2.0-gentoo-x86_64-Intel-R-_Core-TM-_i5-4200U_CPU_@_1.60GHz-with-gentoo-2.2
KiB Mem:     8090120 total,   1263076 free
KiB Swap:    8346964 total,   8346964 free
Timestamp of repository gentoo: Wed, 09 Dec 2015 00:45:01 +0000
sh bash 4.3_p39
ld GNU ld (Gentoo 2.25.1 p1.1) 2.25.1
ccache version 3.1.9 [enabled]
app-shells/bash:          4.3_p39::gentoo
dev-lang/perl:            5.20.2::gentoo
dev-lang/python:          2.7.10-r1::gentoo, 3.4.3::gentoo
dev-util/ccache:          3.1.9-r4::gentoo
dev-util/cmake:           3.3.1-r1::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.18.4::gentoo
sys-apps/sandbox:         2.6-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.11.6-r1::gentoo, 1.14.1::gentoo, 1.15::gentoo
sys-devel/binutils:       2.25.1-r1::gentoo
sys-devel/gcc:            4.8.5::gentoo, 4.9.3::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 3.18::gentoo (virtual/os-headers)
sys-libs/glibc:           2.21-r1::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000

steam-overlay
    location: /var/lib/layman/steam-overlay
    masters: gentoo
    priority: 0

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://ftp.uni-erlangen.de/pub/gentoo/"
LANG="de_DE.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi alsa amd64 berkdb bindist bluetooth branding bzip2 cairo cli cracklib crypt cups cxx dbus dri dts dvd emboss encode exif fam firefox flac fortran gdbm gif glamor gpm gtk iconv ipv6 jpeg lcms libnotify mad mmx mmxext mng modules mp3 mp4 mpeg multilib ncurses nls nptl ogg opengl openmp opus pam pango pcre pdf png policykit ppds pulseaudio qt4 readline sdl seccomp session spell sse sse2 ssl startup-notification svg systemd tcpd truetype udev udisks unicode upower usb vorbis x264 xattr xcb xml xv xvid zlib" ABI_X86="64" ALSA_CARDS="hda-intel intel8x0 intel8x0m" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de en" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4" RUBY_TARGETS="ruby20 ruby21" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

dev-libs/openssl-0.9.8z_p7::gentoo was built with the following:
USE="zlib -bindist -gmp -kerberos -test" ABI_X86="64 -32 -x32" CPU_FLAGS_X86="sse2"
CFLAGS="-march=native -O2 -pipe -fno-strict-aliasing -Wa,--noexecstack"
CXXFLAGS="-march=native -O2 -pipe -fno-strict-aliasing -Wa,--noexecstack"


dev-libs/openssl-1.0.2d::gentoo was built with the following:
USE="asm bindist tls-heartbeat zlib -gmp -kerberos -rfc3779 -sctp -static-libs -test -vanilla" ABI_X86="32 64 -x32" CPU_FLAGS_X86="sse2"
CFLAGS="-march=native -O2 -pipe -fno-strict-aliasing -Wa,--noexecstack"
CXXFLAGS="-march=native -O2 -pipe -fno-strict-aliasing -Wa,--noexecstack"


Code:
emerge -pv dev-libs/botan

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ~] dev-libs/botan-1.10.10::gentoo [1.10.5::gentoo] USE="bzip2 ssl threads zlib -bindist* -doc -gmp -python -static-libs" PYTHON_TARGETS="python2_7 python3_4 -python3_3" 0 KiB

Total: 1 package (1 upgrade), Size of downloads: 0 KiB
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3629
Location: Germany

PostPosted: Wed Dec 09, 2015 5:49 pm    Post subject: Reply with quote

Code:
qfile -v /usr/include/nettle/ecdsa.h
dev-libs/nettle-3.1.1 (/usr/include/nettle/ecdsa.h)
Hm, hast du dev-libs/nettle installiert?
Falls ja, schau mal ob ein rebuild hilft.

/edit: bzw
Code:
$ equery b ecdsa.h
 * Searching for ecdsa.h ...
dev-libs/nettle-3.1.1 (/usr/include/nettle/ecdsa.h)
dev-libs/openssl-1.0.2e (/usr/include/openssl/ecdsa.h)
(habs mal getestet, botan 1.10.5 und (~)1.10.10 bauen hier soweit einwandfrei)

/edit-2
Ah, du hast dein dev-libs/openssl-1.0.2d mit USE=bindist gebaut - daran wird es wahrscheinlich liegen
bau die mal mit USE=-bindist

Sofern du USE=bindist noch in der make.conf mit hast, nimm das am besten ganz raus
(Ja, laut deiner emerge info hast du USE=bindist global gesetzt) Ist das wirklich so gewollt, bzw so benötigt?)
Back to top
View user's profile Send private message
schotter
Guru
Guru


Joined: 30 Nov 2004
Posts: 496
Location: Germany, Bavaria, Bayreuth, Pottenstein, Tüchersfeld

PostPosted: Thu Dec 10, 2015 9:56 am    Post subject: Reply with quote

Josef.95 wrote:
Ah, du hast dein dev-libs/openssl-1.0.2d mit USE=bindist gebaut - daran wird es wahrscheinlich liegen
bau die mal mit USE=-bindist

Jupp, das war es letztlich. Ich hatte mal
Code:
cat /etc/portage/package.use/openssl
dev-libs/openssl bindist
angelegt, wahrscheinlich weil es ein Package so haben wollte. Nachdem ich die Zeile um ein Minus ergänzt hatte, lief ein emerge @world durch und das Bauen von botan etc. funktionierte problemlos.

Danke für die Hilfe :)
Back to top
View user's profile Send private message
Christian99
Veteran
Veteran


Joined: 28 May 2009
Posts: 1176

PostPosted: Thu Dec 10, 2015 10:09 am    Post subject: Reply with quote

in diesem fall sollte botan von openssl -bindist abhängen, was es nicht tut. Würdest du vllt einen bugreport aufmachen wollen für botan, damit das ebuild angepasst wird?
Back to top
View user's profile Send private message
toralf
Developer
Developer


Joined: 01 Feb 2004
Posts: 3690
Location: Hamburg

PostPosted: Fri Dec 11, 2015 4:34 pm    Post subject: Reply with quote

siehe auch: openssl/[-]bindist : https://forums.gentoo.org/viewtopic-t-1010032-highlight-bindist.html
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 3629
Location: Germany

PostPosted: Fri Dec 11, 2015 4:46 pm    Post subject: Reply with quote

Christian99 wrote:
in diesem fall sollte botan von openssl -bindist abhängen, was es nicht tut. Würdest du vllt einen bugreport aufmachen wollen für botan, damit das ebuild angepasst wird?


/portage/dev-libs/botan/botan-1.10.10.ebuild wrote:
Code:
        ssl? ( >=dev-libs/openssl-0.9.8g:*[bindist=] )"

Hm ja, ist in diesem Fall ein wenig tricky, da es dev-libs/openssl in *zwei* Slots gibt, und er auch beide Slots installiert hat - eine mit -bindist und eine mit bindist

Der Ursprung des ganzen ist wahrscheinlich der seit über zwei Jahren nicht gefixte Bug 473332 :-/
Wenn man die USE-Flag-Leiche nicht mehr mit in der "default make.conf" der stage3 Archives mit ausliefern würde, wäre es für viele User sicherlich einfacher.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum